PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::const_iterator Class Reference

Iterator over elements. More...

`#include <plask/mesh/rectangular_masked_common.hpp>`

Inheritance diagram for plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::const_iterator:
[legend]
Collaboration diagram for plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::const_iterator:
[legend]

## Public Member Functions
template<typename... CtorArgs>
| const_iterator (const MaskedMeshType &maskedMesh, CtorArgs &&... ctorArgs)
const Set & | set () const

## Friends
class | boost::iterator_core_access

## Detailed Description

template<int DIM>
template<typename MaskedMeshType>
class plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::const_iterator

Iterator over elements.

One can use:

- getIndex() method of the iterator to get index of the element,
- getNumber() method of the iterator to get index of the element in the wrapped mesh.

Definition at line 103 of file rectangular_masked_common.hpp.

## Constructor & Destructor Documentation

## ◆ const_iterator()

template<int DIM>
template<typename MaskedMeshType >
template<typename... CtorArgs>

plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::const_iterator::const_iterator | ( | const MaskedMeshType & | maskedMesh,
|  | CtorArgs &&... | ctorArgs
| ) |  |
| inline explicit

Definition at line 116 of file rectangular_masked_common.hpp.

## Member Function Documentation

## ◆ set()

template<int DIM>
template<typename MaskedMeshType >

const Set & plask::RectangularMaskedMeshBase< DIM >::ElementsBase< MaskedMeshType >::const_iterator::set | ( |  | ) | const
| inline

Definition at line 119 of file rectangular_masked_common.hpp.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

template<int DIM>
template<typename MaskedMeshType >

friend class boost::iterator_core_access
| friend

Definition at line 111 of file rectangular_masked_common.hpp.

The documentation for this class was generated from the following file:

- plask/mesh/rectangular_masked_common.hpp